petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetLocalToGlobal

Sets the routines used to perform a local to global scatter

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToGlobal(DM dm,PetscErrorCode (*begin)(DM,Vec,InsertMode,Vec),PetscErrorCode (*end)(DM,Vec,InsertMode,Vec))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| begin | - the routine that begins the local to global scatter
| end | - the routine that ends the local to global scatter

### Notes

If these functions are not provided but DMShellSetLocalToGlobalVecScatter() is called then DMLocalToGlobalBeginDefaultShell()/DMLocalToGlobalEndDefaultShell() are used to to perform the transfers

### See Also

DMShellSetGlobalToLocal()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages